<%# Display the Quiz Title %>
<h1>Quiz Title: <%= @quiz.title %></h1>

<p>
  <b>Instruction:</b> For your multiple choice quiz, simply read each question and then choose the best answer from the provided options. Remember to answer all questions and submit your quiz when finished. Good luck!
</p>

<%= form_with(url: submit_quiz_path(quiz_id: @quiz.id), method: :post, id: 'quiz_form', class: 'container mt-4') do |form| %>
  <% @quiz.questions.each_with_index do |question, q_index| %>
    <div class="question card mb-3" data-question-id="<%= question.id %>" data-correct-answer="<%= question.correct_answer %>">
      <div class="card-body">
        <!-- Display the question number here -->
        <h5 class="card-title">Question <%= q_index + 1 %>: <%= question.title %></h5>
        <p class="card-text"><%= question.content %></p>
        <% question.options.each_with_index do |option, o_index| %>
          <div class="form-check">
            <%= form.radio_button "answers[#{question.id}]", o_index + 1, id: "answer_#{question.id}_#{o_index}", class: "form-check-input option-input" %>
            <%= form.label "answer_#{question.id}_#{o_index}", option, class: "form-check-label" %>
          </div>
        <% end %>
      </div>
    </div>
  <% end %>
  <%= form.submit 'Submit Quiz', class: 'btn btn-primary', id: 'submit_quiz' %>
<% end %>


<div class="container mt-4">
  <div class="row">
    <div class="col-md-6">
      <div class="card">
        <div class="card-body">
          <h3 class="card-title">Quiz Attempt History</h3>
          <table class="table table-striped">
            <thead>
              <tr>
                <th>Quiz ID</th>
                <th>Attempt Number</th>
                <th>Timestamp</th>
                <th>Score</th>
              </tr>
            </thead>
            <tbody>
              <% @quiz_attempts.each_with_index do |attempt, index| %>
                <tr>
                  <td><%= attempt.quiz_id %></td>
                  <td><%= index + 1 %></td>
                  <td><%= attempt.created_at.strftime("%d %b %Y %H:%M:%S") %></td>
                  <td><%= attempt.score %></td>
                </tr>
              <% end %>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</div>


<%# <script>
  document.addEventListener('DOMContentLoaded', function() {
    document.getElementById('submit_quiz').addEventListener('click', function(event) {
      event.preventDefault();

      let score = 0;
      const questions = document.querySelectorAll('.question');
      
      questions.forEach(function(question) {
        const selectedOption = question.querySelector('input[type=radio]:checked');
        const correctAnswer = question.dataset.correctAnswer;

        if (selectedOption) {
          if (selectedOption.value === correctAnswer) {
            score += 1; // Increment score if correct
          }
        } else {
          alert('Please answer all questions.');
          return;
        }
      });

      alert('Your score is: ' + score + '/' + questions.length);
      // Optionally, submit the form or redirect the user
      // document.getElementById('quiz_form').submit();
    });
  });
</script> %>


